Package org.eclipse.cdt.utils.macho

## Class MachOHelper64

- java.lang.Object
- - org.eclipse.cdt.utils.macho.MachOHelper64

    public class MachOHelper64
    extends Object

`MachOHelper64` is a wrapper class for the `MachO64` class to provide higher level API for sorting/searching the MachO data.

Since:
  5.2
See Also:
  `MachO64`

### Nested Class Summary

Nested Classes
`class` `MachOHelper64.Sizes`

### Constructor Summary

Constructors
`MachOHelper64​(String filename)` Create a new `MachOHelper64` based on the given filename.
`MachOHelper64​(String filename, boolean filton)`
`MachOHelper64​(String filename, long offset)` Create a new `MachOHelper64` based on the given filename.
`MachOHelper64​(MachO64 macho)` Create a new `MachOHelper64` using an existing `MachO64` object.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`MachO64.Symbol[]` `getCommonObjects()`
`MachO64.Symbol[]` `getExternalFunctions()`
`MachO64.Symbol[]` `getExternalObjects()`
`MachO64.Symbol[]` `getLocalFunctions()`
`MachO64.Symbol[]` `getLocalObjects()`
`MachO64` `getMachO()` Give back the MachO64 object that this helper is wrapping
`String[]` `getNeeded()`
`String` `getQnxUsage()`
`MachOHelper64.Sizes` `getSizes()`
`String` `getSoname()`
`MachO64.Symbol[]` `getUndefined()`
`boolean` `is64()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MachOHelper64

    public MachOHelper64​(MachO64 macho)
                  throws IOException

Create a new `MachOHelper64` using an existing `MachO64` object.

Parameters:
  `macho` - An existing MachO64 object to wrap.
Throws:
  `IOException` - Error processing the MachO file.

#### MachOHelper64

    public MachOHelper64​(String filename)
                  throws IOException

Create a new `MachOHelper64` based on the given filename.

Parameters:
  `filename` - The file to use for creating a new MachO64 object.
Throws:
  `IOException` - Error processing the MachO file.
See Also:
  `MachO64( String )`

#### MachOHelper64

    public MachOHelper64​(String filename,
                         long offset)
                  throws IOException

Create a new `MachOHelper64` based on the given filename.

Parameters:
  `filename` - The file to use for creating a new MachO64 object.
Throws:
  `IOException` - Error processing the MachO file.
See Also:
  `MachO64( String )`

#### MachOHelper64

    public MachOHelper64​(String filename,
                         boolean filton)
                  throws IOException

Throws:
  `IOException`

### Method Detail

#### dispose

    public void dispose()

#### is64

    public boolean is64()

#### getMachO

    public MachO64 getMachO()

Give back the MachO64 object that this helper is wrapping

#### getExternalFunctions

    public MachO64.Symbol[] getExternalFunctions()
                                          throws IOException

Throws:
  `IOException`

#### getExternalObjects

    public MachO64.Symbol[] getExternalObjects()
                                        throws IOException

Throws:
  `IOException`

#### getUndefined

    public MachO64.Symbol[] getUndefined()
                                  throws IOException

Throws:
  `IOException`

#### getLocalFunctions

    public MachO64.Symbol[] getLocalFunctions()
                                       throws IOException

Throws:
  `IOException`

#### getLocalObjects

    public MachO64.Symbol[] getLocalObjects()
                                     throws IOException

Throws:
  `IOException`

#### getCommonObjects

    public MachO64.Symbol[] getCommonObjects()
                                      throws IOException

Throws:
  `IOException`

#### getNeeded

    public String[] getNeeded()
                       throws IOException

Throws:
  `IOException`

#### getSoname

    public String getSoname()
                     throws IOException

Throws:
  `IOException`

#### getQnxUsage

    public String getQnxUsage()
                       throws IOException

Throws:
  `IOException`

#### getSizes

    public MachOHelper64.Sizes getSizes()
                                 throws IOException

Throws:
  `IOException`